Bug 49294 - security problem in tcpdump-3.6.2 AFS printing
security problem in tcpdump-3.6.2 AFS printing
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: tcpdump (Show other bugs)
1.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-17 14:41 EDT by Pekka Savola
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-18 16:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-07-17 14:41:47 EDT
There is a security problem in AFS printing functions in tcpdump-3.6.2.

AFS printing is not supported in tcpdump-3.4, so this only applies to rawhide.

FreeBSD advisory:
ftp://ftp.freebsd.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-01:48.tcpdump.asc

Patch against Rawhide: (patch -p1 -R)
http://cvs.tcpdump.org/cgi-bin/cvsweb/tcpdump/print-rx.c?r1=1.20&r2=1.20.2.1
Comment 1 Glen Foster 2001-07-18 16:55:07 EDT
We (Red Hat) must address this defect before next release.
Comment 2 Harald Hoyer 2001-07-19 09:06:45 EDT
thx

Note You need to log in before you can comment on or make changes to this bug.